Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.transaction.memory
Class TransactionalMapWrapper.TxContext

    java.lang.Object
      org.apache.commons.transaction.memory.TransactionalMapWrapper.TxContext

Direct Known Subclasses:
  OptimisticMapWrapper.CopyingTxContext, PessimisticMapWrapper.LockingTxContext

Enclosing class:
  TransactionalMapWrapper

public class TransactionalMapWrapper.TxContext
extends Object

Field Summary
`protected Map` | `adds`
`protected Map` | `changes`
`protected boolean` | `cleared`
`protected Set` | `deletes`
`protected boolean` | `readOnly`
`protected int` | `status`
`protected boolean` | `suspended`

Constructor Summary
`protected` | `TransactionalMapWrapper.TxContext()`

Method Summary
`protected void` | `clear()`
`protected void` | `dispose()`
`protected Object` | `get(Object key)`
`protected boolean` | `isEmpty()`
`protected Set` | `keys()`
`protected void` | `merge()`
`protected void` | `put(Object key, Object value)`
`protected void` | `remove(Object key)`
`protected int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### deletes

    protected Set deletes

### changes

    protected Map changes

### adds

    protected Map adds

### status

    protected int status

### cleared

    protected boolean cleared

### readOnly

    protected boolean readOnly

### suspended

    protected boolean suspended

Constructor Detail

### TransactionalMapWrapper.TxContext

    protected TransactionalMapWrapper.TxContext()

Method Detail

### keys

    protected Set keys()

### get

    protected Object get(Object key)

### put

    protected void put(Object key,
                       Object value)

### remove

    protected void remove(Object key)

### size

    protected int size()

### clear

    protected void clear()

### isEmpty

    protected boolean isEmpty()

### merge

    protected void merge()

### dispose

    protected void dispose()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.